Page MenuHomePhabricator

Unify SVG optimization to Wikimedia coding conventions in MobileFrontend and Minerva
Closed, ResolvedPublic

Description

MF/MN's SVGO rules contain

- collapseGroups: false
- mergePaths: false

which seem to have been introduced in I7b09e89a5a72ff241c38914044b931520311efee and since them never been revisited on possible rendering issues.
The conventions in https://www.mediawiki.org/wiki/Manual:Coding_conventions/SVG#Exemplified_safe_configuration provided widely proofed harmless optimizations.

QA

  • Visit https://en.m.wikipedia.org/wiki/Front_end in older Grade A browsers like IE 11 and look out for icons being visually correct, not having rendering issues. Both as logged-in and logged-out user as some icons are login-state specific.

QA Results

ACStatusDetails
1T245296#5945501
2T245296#5945501

Event Timeline

Volker_E created this task.Feb 14 2020, 7:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2020, 7:52 PM

Change 572305 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Unify SVGO rules to Wikimedia coding conventions and re-crush SVGs

https://gerrit.wikimedia.org/r/572305

Change 572317 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Unify SVGO rules to Wikimedia coding conventions and re-crush SVGs

https://gerrit.wikimedia.org/r/572317

When above MN patch is merged, it would be helpful to have @Edtadros look over the changed icons once more.

Change 572317 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Unify SVGO rules to Wikimedia coding conventions and re-crush SVGs

https://gerrit.wikimedia.org/r/572317

Change 572305 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Unify SVGO rules to Wikimedia coding conventions and re-crush SVGs

https://gerrit.wikimedia.org/r/572305

Volker_E assigned this task to Edtadros.Feb 18 2020, 6:46 PM
Volker_E updated the task description. (Show Details)

Given it's assigned to Edward I'm guessing there is a request to QA it, but Edward does not QA task outside the sprint board.

Change 575811 had a related patch set uploaded (by Aron Manning; owner: Aron Manning):
[mediawiki/skins/Vector@master] Add SVG minifier script npm run svgmin and unify SVGO rules to Wikimedia coding conventions

https://gerrit.wikimedia.org/r/575811

Change 575812 had a related patch set uploaded (by Aron Manning; owner: Aron Manning):
[mediawiki/skins/Vector@master] Run SVG minifier in Vector skin

https://gerrit.wikimedia.org/r/575812

Edtadros reassigned this task from Edtadros to ovasileva.EditedMar 5 2020, 5:23 PM

Test Result

Status: ❌ Fail
OS: Windows 7
Browser: IE11
Device: Browserstack

Test Artifact(s):
Visit https://en.m.wikipedia.org/wiki/Front_end in older Grade A browsers like IE 11 and look out for icons being visually correct, not having rendering issues. Both as logged-in and logged-out user as some icons are login-state specific.

❓ AC1: Logged In

Not icon related, but the letter g gets cut off.
Not icon related, but the letter g gets cut off.

❌ AC2: Not Logged In

Edtadros updated the task description. (Show Details)Mar 5 2020, 5:25 PM
Jdlrobson renamed this task from Unify SVG optimization to Wikimedia coding conventions to Unify SVG optimization to Wikimedia coding conventions in MobileFrontend and Minerva.Mar 5 2020, 6:24 PM
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptMar 5 2020, 6:24 PM

Both reported fails by @Edtadros are not connected with the SVG optimization, but separate issues. Will be filed into follow-up tasks.
Resolving this as 'successful' after moving it on kanban board.

ovasileva closed this task as Resolved.Mar 6 2020, 11:39 AM

Both reported fails by @Edtadros are not connected with the SVG optimization, but separate issues. Will be filed into follow-up tasks.
Resolving this as 'successful' after moving it on kanban board.

@Volker_E - sounds good. Resolving. Did you open a new task for the bug? If not, I can do it as well.

Have asked @Edtadros for that…

@Volker_E / @ovasileva here are the bug reports:

[Bug] Decenders get cut off in drop down menus T247145
[Bug] Edit Icons not the same size T247146

Let me know if you need more info or you'd like me to check different browsers/OSes.

TIL what decenders are. 🤓

Thanks @Edtadros - also asked this on the bugs themselves but just to be sure - these are only showing on old desktop browsers, right? Priority would probably increase if it was both desktop & mobile.

Edtadros added a comment.EditedMar 12 2020, 12:28 AM

@ovasileva I only tested this on IE11. I can test on older browsers if you think it is necessary. I tested it on the browsers mentioned here T247146#5962575 and everything looks fine for both the edit icon size as well as the decender characters.